Skip to main content
POST
/
proxy
/
freepik
/
v1
/
ai
/
image-upscaler-precision-v2
Upscale an image with Precision V2
curl --request POST \
  --url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image": "<string>",
  "scale_factor": 9,
  "sharpen": 7,
  "smart_grain": 7,
  "ultra_detail": 30,
  "webhook_url": "<string>"
}
'
import requests

url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2"

payload = {
"image": "<string>",
"scale_factor": 9,
"sharpen": 7,
"smart_grain": 7,
"ultra_detail": 30,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
scale_factor: 9,
sharpen: 7,
smart_grain: 7,
ultra_detail: 30,
webhook_url: '<string>'
})
};

fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "generated": [
      "<string>"
    ],
    "task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
image
string
required

Source image to upscale. Accepts either:

  • A publicly accessible HTTPS URL pointing to the image
  • A base64-encoded image string
flavor
enum<string>

Image processing flavor:

  • sublime: Optimized for artistic and illustrated images
  • photo: Optimized for photographic images
  • photo_denoiser: Specialized for photos with noise reduction
Available options:
sublime,
photo,
photo_denoiser
scale_factor
integer

Image scaling factor. Determines how much larger the output will be compared to input.

Required range: 2 <= x <= 16
sharpen
integer
default:7

Image sharpness intensity control. Higher values increase edge definition and clarity.

Required range: 0 <= x <= 100
smart_grain
integer
default:7

Intelligent grain/texture enhancement. Higher values add more fine-grained texture.

Required range: 0 <= x <= 100
ultra_detail
integer
default:30

Ultra detail enhancement level. Higher values create more intricate details.

Required range: 0 <= x <= 100
webhook_url
string<uri>

Optional callback URL that will receive asynchronous notifications when the upscaling task completes.

Response

OK - The upscaling process has started

data
object
required